Package org.apache.jmeter.visualizers

# Class RenderAsHTMLWithEmbedded

java.lang.Object
org.apache.jmeter.visualizers.SamplerResultTab
org.apache.jmeter.visualizers.RenderAsHTML
org.apache.jmeter.visualizers.RenderAsHTMLWithEmbedded

All Implemented Interfaces:
  `ResultRenderer`

@AutoService(ResultRenderer.class) public class RenderAsHTMLWithEmbedded extends RenderAsHTML implements ResultRenderer

## Nested Class Summary

## Nested classes/interfaces inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`SamplerResultTab.RowResult`

## Field Summary

### Fields inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`activateSearchExtension, CLIENT_ERROR_COLOR, REDIRECT_COLOR, REQUEST_VIEW_COMMAND, results, resultsScrollPane, rightSide, searchTextExtension, SERVER_ERROR_COLOR, TEXT_COMMAND`

## Constructor Summary

Constructors
Constructor
Description
`RenderAsHTMLWithEmbedded()`

## Method Summary

Modifier and Type
Method
Description
`protected void`
`showRenderedResponse(String response, SampleResult res)`
`String`
`toString()`

### Methods inherited from class org.apache.jmeter.visualizers.RenderAsHTML

`renderResult, showRenderedResponse`

### Methods inherited from class org.apache.jmeter.visualizers.SamplerResultTab

`clearData, init, renderImage, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setTextOptimized, setupTabPane`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.jmeter.visualizers.ResultRenderer

`clearData, init, renderImage, renderResult, setBackgroundColor, setLastSelectedTab, setRightSide, setSamplerResult, setupTabPane`

## Constructor Details

### RenderAsHTMLWithEmbedded

public RenderAsHTMLWithEmbedded()

## Method Details

### showRenderedResponse

protected void showRenderedResponse(String response, SampleResult res)

Overrides:
  `showRenderedResponse` in class `RenderAsHTML`

### toString

public String toString()

Specified by:
  `toString` in interface `ResultRenderer`
Overrides:
  `toString` in class `RenderAsHTML`
Returns:
  the string to be displayed by the ComboBox